using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.Data;
using VBNET = Microsoft.VisualBasic;
using Microsoft.VisualBasic.CompilerServices;
using System.Linq;
using System.Collections.Generic;

namespace VBSCAN
{
   public partial class frmRtnOL : System.Windows.Forms.Form
   {
      private bool _disposed = false;
      public frmRtnOL()
      {
         if(m_vb6FormDefInstance == null)
         {
            m_vb6FormDefInstance = this;
         }
         //
         // Required for Windows Form Designer support
         //
         InitializeComponent();

         //
         // TODO: Add any constructor code after InitializeComponent call
         //
         if (DesignMode) return;
         Form_Resize(null, null);
      }

      /// <summary>
      /// Clean up any resources being used.
      /// </summary>
      /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
      protected override void Dispose(bool disposing)
      {
         if (_disposed)
         {
            return;
         }
         if (disposing)
         {
            if (components != null)
            {
               components.Dispose();
            }
         }
         _disposed = true;
         base.Dispose(disposing);
      }

      private void Form_Resize(object sender, EventArgs e)
      {
         gmRTL.Core.ErrorHandling.ResumeNext(() =>
         {
            OL1.Width = this.ClientRectangle.Width - OL1.Left - 10;
            OL1.Height = this.ClientRectangle.Height - OL1.Top - 10;
         });
      }
      private void mnuExit_Click(object sender, EventArgs e)
      {
         this.Close();
      }
      private void mnuSave_Click(object sender, EventArgs e)
      {
         if (modVBSCAN.SaveRtnOL() != 0)
         {
            System.Windows.Forms.MessageBox.Show("Error saving VBScan formatted Routine", "", MessageBoxButtons.OK);
         }
      }
   }
}
